/* ITEM HERO */

    .item-hero{
        background-color: var(--color-gray-900);
        width: 100%;
        height: 60vh;
        grid-column: 1 / -1;
        position: relative;
    }

    .item-hero img{
        position: absolute;
        inset: 0 0 0 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

/* ITEM HEADER */

    .item-title{
        font-size: 2.1em;
        margin-bottom: .1em;
        text-wrap: balance;
        line-height: 1;
        max-width: 85%;
    }

    .item-subtitle{
        font-weight: 200;
        font-size: .9em;
    }

    .item .row-btn{
        margin-block: 2em;
    }

    .item-header-container{
        margin-bottom: 3em;
    }

    .item-header-container.sticky{
        position: sticky;
        top: 8em;
    }

	.item-type {
        color: var(--color-theme);
        text-transform: uppercase;
        font-size: 0.7em;
        display: block;
        font-weight: 300;
        letter-spacing: .5px;
        margin-bottom: .5em;
	}

	.item-date {
        color: var(--color-gray-400);
        font-size: .85em;
        font-weight: 300;
		margin-bottom: 1em;
	}

    #item-header .row-btn {
        margin-block: 2em;
    }

	#item-header .row-btn:first-child {
        margin-top: 0;
    }

    .default-item-disclaimer{
        color: var(--color-theme); 
        padding: 1em 1.5em; 
        font-size: .85em;
        line-height: 1.5; 
        border: 1px solid var(--color-theme); 
        margin-bottom: 5em; 
        font-style: italic;

        & a{
            color: var(--color-theme);
            text-decoration: underline;
            font-weight: 500;
        }
    }

   /* ---- REFERENCIA ---- */


	.side-reference .item-header-image {
        background-color: var(--color-gray-900);
        width: 10em;
        height: 10em;
        border-radius: 50%;
        overflow: hidden;
        margin-bottom: 1em;
        background-repeat: no-repeat;
        background-position: center;
        background-size: 50%;
        margin-inline: auto;
	}

    .side-reference .item-header-image.Place{
        background-image: url('../assets/marker.png');
    }
    .side-reference .item-header-image.Person{
        background-image: url('../assets/person.png');
    }
    .side-reference .item-header-image.Organization{
        background-image: url('../assets/organization.png');
    }
    .side-reference .item-header-image.Language{
        background-image: url('../assets/language.png');
    }
    .side-reference .item-header-image.Group{
        background-image: url('../assets/group.png');
    }

	.side-reference .item-header-image img{
		width: 100%;
		height: 100%;
        object-fit: cover;
        object-position: center;
	}

	.side-reference .item-header-image:has(img){
		background: var(--color-white);
        background-image: none !important;
	}

    .side-reference .item-title {
        font-size: 1.6em;
        text-align: center;
        margin-inline: auto;
    }

    .side-reference .item-previous-title {
        text-align: center;
        font-size: 1.4em;
        font-style: italic;
        font-weight: 300;
    }

    .side-reference .item-date.reference-date {
        text-align: center;
        color: var(--color-theme);
        text-transform: uppercase;
        font-size: .8em;
        font-weight: 400;
        margin-bottom: .25em;
    }
    .side-reference .item-date.reference-date .date-formated{
        display: inline-flex;
        font-weight: 300;
    }

    .side-reference  .item-additional-type {
        text-align: center;
        color: var(--color-theme);
        text-transform: uppercase;
        font-size: .8em;
        font-weight: 400;
        margin-bottom: .25em;
    }

    .side-properties{
        background-color: var(--color-gray-700);
        margin: 2em 2.5em 0 2.5em;
        box-sizing: border-box;
        padding: 2em;
    }
    
    .side-properties > div{
        font-size: 0.85em;
        line-height: 1.4;
    }

    /* --- */
    
    .mapUrl{
        font-size: 1em;
        font-weight: 800;
        color: var(--color-gray-500);
    }
    .mapUrl:hover{
        color: var(--color-white);
    }


/* HIGHLIGHT */

    .default-form-highlight .audio-wrap{
        width: 75%;
    }
    .default-form-highlight audio{
        width: 100%;
        outline: 0;
    }


/* PROPERTIES SECTION */

	.property-fieldset:not(:first-child) {
		margin-top: 2em;
	}

	.property-row {
		padding-bottom: .5rem;
		padding-top: .5rem;
        border-top: 1px solid var(--color-gray-600);
		font-size: .9em;
		line-height: 140%;
		display: grid;
		grid-template-columns: 15% 82%;
		gap: 3%;
	}

    @media( width < 800px){
        .property-row{
            grid-template-columns: auto;
            gap: .5em;
            margin-bottom: 1.5em;
        }
    }

    .property-label {
        font-weight: 600;
        font-size: 0.65em;
        text-transform: uppercase;
        letter-spacing: 1px;
        color: var(--color-theme);
        line-height: 1.4;
        margin-top: 0.5em;
    }

    .property-value .value-type {
        color: var(--color-gray-500);
        font-size: .6em;
        text-transform: uppercase;
        margin-left: .75em;
        font-weight: 400;
        display: none;
    }
    .property-value .taxonomy-separator {
        margin: 0 .35em;
    }

    .property-value .taxonomy-separator::before {
        content: ">";
    }

    .property-value .value-item,
    .property-value .value-description{
        margin-inline: 1em;
        font-size: .7em;
        font-weight: 300;
        text-transform: uppercase;
        color: var(--color-gray-400);
    }
    .property-value .value-io{
        margin-inline: .75em;
        color: var(--color-gray-400);
        font-weight: 300;
        font-size: .9em;
    }
    .property-value .value-io-separator::before{
        content: ">";
        display: inline-block;
        margin-inline: .25em;
    }

    .property-value a{
        text-decoration-line: underline;
        text-decoration-thickness: 1px;
        text-decoration-color: var(--color-gray-500);
        text-underline-offset: 3px;
        transition: all .3s ease;
    }

    .property-value a:hover{
        text-decoration-line: underline;
        text-decoration-color: var(--color-white);
        text-decoration-thickness: 2px;
    }

    .property-value img{
        width: auto;
        height: auto;
        max-height: 40vh;
        max-width: 100%;
        display: block;
    }

    .property-value.value-itemExhibition .value-description{
        display: none;
    }

    /* ------- */

    .article-text p a{
        text-decoration-line: underline;
        text-decoration-thickness: 1px;
        text-decoration-color: var(--color-gray-400);
        text-underline-offset: 3px;
        transition: all .3s ease;
    }

    .article-text p a:hover{
        text-decoration-line: underline;
        text-decoration-color: var(--color-white);
        text-decoration-thickness: 2px;
    }


    .item-properties .default-form-highlight .swiper-container{
        position: relative;
        padding: 2.5%;
        background-color: #00000066;
    }

    .item-properties .default-form-highlight .swiper-container img {
        max-height: 60vh;
        width: auto;
        max-width: 100%;
        object-fit: contain;
        display: block;
        margin: 0 auto;
    }

    .item-properties .default-form-highlight .swiper-container .swiper-pagination {
        position: relative;
        text-align: right !important;
        padding: 0;
        margin-bottom: -.9em;
        font-size: 0.9em;
        padding-top: .3em;
	}


    .item-properties p{
        margin-bottom: 1.25em;
        line-height: 1.4;
    }

    .item-properties h2, .item-properties h4, .item-properties h5, .item-properties h6{
        margin: 1.25em 0 .5em 0;
    }

    .item-properties h1{
        margin:2em 0;
    }
    
    .item-properties .copyright{
        margin-top: 5em;
        padding: 1.5em 2em;
        font-size: 0.8em;
        background: var(--color-gray-700);
    }
    
    .item-properties .copyright h3{
        margin-bottom: .75em;
        font-weight: 200;
        margin-bottom: .75em;
        font-size: 1.5em;
        color: var(--color-gray-400);
    }
    
    .item-properties .copyright p{
        margin: 0;
    }
    .item-properties .copyright a{
        font-weight: 600;
    }

    .article-text h2{
        color: var(--color-theme);
    }
    
    .article-text h2:not(:first-child){
        margin-top: 2.5em;
    }

    .article-text h3{
        margin-bottom: 1em;
        font-size: 1.8em;
        line-height: 1.1;
    }

    .article-text h3:not(:first-child){
        margin-top: 2.5em;
    }
    

    .item-properties h5{
        margin-block: 1.75em 0;
        font-weight: 300;
        color: var(--color-theme-ligther);
        font-size: 0.75em;
        text-transform: uppercase;
        letter-spacing: .5px;
        line-height: 1.5;
    }
    
    .item-properties p.image img{
        border-radius: .25em;

        display: block;
        box-sizing: border-box;
        margin-inline: auto;

        max-height: 60vh;
        width: auto;
        max-width: 100%;
    }
    
    .item-properties p.image img:has(+ span){
        padding-bottom: 1em;
    }
    .item-properties p.image img + span{
        text-align: center;
        display: block;
        box-sizing: border-box;
        width: 100%;
        font-size: .75em;
        padding: 0 5%;
    }

    .item-properties [mention^="single "],
    .item-properties [mention^="group "] {
        max-width: 100%;
        margin-block: 3em 4.5em;
    }
    

    .item-properties p.image,
    .item-properties [mention] figure{
        border: 1px solid #ffffff44 ;
        padding: 3.5%;
        margin-inline: auto;
        transition: all .3s ease;
        width: fit-content;
    }

    .item-properties p.image:hover,
    .item-properties [mention] figure:hover{
            box-shadow: rgb(0, 0, 0) 0px 10px 30px -10px;
            transform: translateY(-5px);
    }

    .item-properties [mention] figure img{
        max-width: 100%;
        max-height: 65vh;
        display: block;
        margin-inline: auto;
    }
    
    .item-properties figure figcaption:not(:empty){
        margin-block: 1em -.2em;
        font-size: .75em;
        text-align: center;
        padding: 0 5%;
        color: var(--color-white);
        transition: all .3s ease;
    }
    
    .content-item-image{
        background-color: #00000066;
    }

    .content-item-image img{
        width: auto;
        max-width: 100%;
        height: auto;
        max-height: 60vh;
        margin-inline: auto;
        display: block;
    }

    
    /* ---- ARTICLE ---- */

    main.article-item {
        grid-column: 1/-1;
        display: grid;
        grid-template-columns: subgrid;
    }

    main.article-item .article-item-header{
        height: 50vh;
        position: relative;
        display: grid;
        grid-template-columns: subgrid;
        align-items: end;
        padding: 1em 1.5em;
        box-sizing: border-box;
    }

    main.article-item .article-item-header::before{
        background: linear-gradient(0deg, rgba(0, 0, 0, 0.75) 25%, rgba(0, 0, 0, 0) 85%);
        content: '';
        display: block;
        width: 100%;
        height: 100%;
        inset: 0 0 0 0;
        position: absolute;
        z-index: 2;
    }

    main.article-item .article-item-header-container{
        z-index: 3;
        grid-column: 2 / -2;
        font-size: 1.8em;
        @media( width < 800px){
            grid-column: 1 / -1;
        }
    }
    
    main.article-item .item-type{
        font-size: .5em;
    }
    
    main.article-item .item-title{
        font-size: 1.4em;
        text-wrap: balance;
        line-height: 1;
        width: 85%;
        max-width: 780px;
        color: #fff;
    }

    main.article-item .article-item-header-img{
        position: absolute;
        width: 100%;
        height: 100%;
        inset: 0 0 0 0;
        z-index: 1;
        object-fit: cover;
        object-position: center;
        object-position: center 25%;
    }

    main.article-item section{
        grid-column: 1/-1;
        display: grid;
        grid-template-columns: subgrid;
        margin-inline: -1.5em;
        padding-inline: 1.5em;     
    }

    main.article-item .article-section{
        padding-bottom: 4em;
        padding-top: 3em;
    }

    main.article-item .article-section:not(:first-child){
        border-top: 5px solid var(--color-theme);
    }


    main.article-item .article-section {
        grid-column: 1/-1;

        display: grid;
        grid-template-columns: subgrid; 
    }
    
    main.article-item .article-section:nth-child(2n){
        background: #00000066;
        margin-inline: -1.5em;
        padding-inline: 1.5em;
    }

    main.article-item .article-section > * {
        grid-column: 5/-4;
    }

    main.article-item .article-section > *:not(iframe):empty {
        display: none;
    }

    main.article-item .article-section > iframe {
        display: block;
        width: 100%;
        margin-block: 2.5em;
        height: 45vh;
    }

    main.article-item .article-section > h2 {
        grid-column: 2 / 5;
        margin: 0;
        font-size: 2em;
        line-height: 1;
        grid-row: span 2;
        margin-bottom: 1em;
        text-wrap: balance;
    }

    main.article-item .article-section > header{
        font-size: 0.9em;
        grid-column: 2 / 5;
        margin-bottom: 3em;
    }

    main.article-item .article-section .article-author{
        font-weight: 600;
    }

    main.article-item .article-section .article-date{
        font-size: 0.9em;
        letter-spacing: 1px;
        margin-top: .25em;
    }

    main.article-item .article-section .row-btn{
        margin-top: 1em;
    }

    main.article-item .article-section > h2:first-of-type {
        position: sticky;
        top: 4em;
    } 

    main.article-item .article-section > h2:nth-of-type(2) {
        position: sticky;
        top: 7.5em;
    } 

    main.article-item blockquote{
        padding: 2em 3em;
        background-color: var(--color-theme);
        color: var(--color-black);
        font-weight: 400;
        margin-bottom: 3em;
        font-style: italic;
        padding: 2em 3em 2em 6.5em;
        position: relative;
    }

    main.article-item blockquote::before{
        content: '';
        width: 1.5em;
        height: 2.8em;
        background-image: url(../assets/simbol-mlp-k.svg);
        background-repeat: no-repeat;
        background-size: contain;
        display: block;
        position: absolute;
        top: 2em;
        left: 1.5em;
        opacity: 0.9;
        z-index: 2;
    }

    main.article-item blockquote + blockquote::before{
        display: none;
    }

    main.article-item blockquote u{
        font-size: .8em;
        text-decoration: none;
        padding-right: 20%;
        display: inline-block;
        line-height: 1.4;
        font-weight: 500;
        margin-top: 2em;
    }

    main.article-item blockquote:has(+ blockquote) {
        padding-bottom: 0;
        margin-bottom: 0;
    }

        @media( width < 1280px){
            main.article-item .article-section > *{
                grid-column: 5 / -3;
            }

        }

        @media( width < 1024px){
            main.article-item .article-section > *{
                grid-column: 5 / -2;
            }

        }

        @media( width < 800px){
            main.article-item .article-section > *,
            main.article-item .article-section > header {
                grid-column: 1 / -1;
            }
            main.article-item .article-section > h2,
            main.article-item .article-section > h2:first-of-type,
            main.article-item .article-section > h2:nth-of-type(2) {
                grid-column: 1 / -1;
                position: relative;
                top: initial;
                margin-top: 1.5em;
            }
        }


    /* ---------------------- */

    .default-section:not(:last-child){
        margin-bottom: 4em;
    }

    .default-section h2{
        font-size: 1.6em;
    }
    .default-section :first-child{
        margin-top: 0;
    }

    .default-section h3{
        font-size: 1.2em;
        margin-bottom: 1em;
    }
    
    /* ---------------------- */

    main.expo{
        grid-column: 1 / -1;
        display: grid;
        grid-template-columns: subgrid;
        padding-top: 5em;
    }

    .head-image{
        height: 50vh;
        position: relative;
    }

    .head-image img{
        position: absolute;
        inset: 0 0 0 0;
        object-fit: cover;
        object-position: center 35%;
        display: block;
        width: 100%;
        height: 50vh;
    }

    .head-gallery{
        height: 50vh;
        grid-column: 2 / -1;
        @media(width < 800px){
            grid-column: 1 / -1;
        }
    }

    main.expo header{
        grid-column: 1 / -1;
        display: grid;
        grid-template-columns: subgrid;
        grid-template-rows: auto 1fr;
        padding-bottom: 3.5em;
    }

    main.expo header:not(:first-child){
        padding-top: 2em;
    }

    main.expo header .item-header-container{
        grid-column: 2 / -2;
        @media(width < 800px){
            grid-column: 1 / -1;
        }
    }

    .item-header-prop{
        margin-bottom: .75em;
    }

    .item-header-prop-label{
        font-size: .8em;
        font-weight: 600;
    }

    .item-header-prop-items{
        line-height: 1.2;
        font-size: .9em;
    }

    .item-header-prop-items li > *{
        opacity: .6;
    }

    .item-header-prop-items li a:hover{
        opacity: 1;
    }

    main.expo section{
        grid-column: 1 / -1;
        display: grid;
        grid-template-columns: subgrid;
    }
    
	.property-row.expo {
        border-top: 0;
        padding-top: 0;
        padding-bottom: 1rem;
        margin-bottom: 0.7rem;
		font-size: .9em;
		line-height: 140%;
		display: flex;
        flex-direction: column;
		gap: 3%;
        break-inside: avoid-column;
	}

	.property-row.expo .property-value-row {
		overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
	}

	.property-row.expo .value-type{
		display: none;
	}
    
    main.expo section.credits .section-body{
        /* border-top: 2px solid var(--color-gray-500); */
        border-top: 2px solid var(--color-gray-600);
        padding-top: 2.5em;
        margin-top: 1.5em;
    }
    
    main.expo section.expo-parts + section.credits .section-body{
        border-top: 0;
        padding-top: 2.5em;
        margin-top: 1em;
    }


.expo-credits{
	column-width: 400px;
    column-count: auto;
	column-gap: 2em;
}

.expo-breadcrumb {
    margin-bottom: .25em;
    gap: .15em;
    display: flex;
    flex-direction: column;
}
.expo-breadcrumb li {
    line-height: 1;
}

.expo-breadcrumb a, 
.expo-breadcrumb span{
    font-size: 1.2em;
    font-weight: 600;
    letter-spacing: .015em;
    opacity: .5;
    transition: opacity .3s ease;
}

.expo-breadcrumb a:hover{
    opacity: 1;
}

.expo-parts{
	background-color: var(--color-gray-900);
	border-top: 4px solid var(--color-theme);
	border-bottom: 4px solid var(--color-theme);
    margin-inline: -1.5em;
    padding: 4em 1.5em;
	
    display: flex;
	flex-direction: column;
    row-gap: 3.5em;
}

.expo-parts h3{
    margin-bottom: .35em;
    font-size: 1.4em;
    line-height: 1.1;
    color: var(--color-theme);
    text-wrap: balance;
}

.expo-parts h3 a{
    font-weight: 600;
    color: var(--color-theme);
    display: inline-block;
}


.expo-parts h3 span{
	font-size: .8em;
    font-weight: 200;
    margin-left: 1em;
    text-transform: uppercase;
    color: var(--color-gray-400);
}

.expo-parts .card{
	border: 1px solid var(--color-gray-700);
    font-size: .8em;
}

main.expo .total{
    font-size: .55em;
    font-weight: 300;
    color: var(--color-gray-400);
}

.expo-group{
    display: grid;
    grid-template-columns: subgrid;
    grid-template-rows: auto auto 1fr;
}

.expo-group-location{
    margin-bottom: .2em;
    font-size: 0.9em;
    font-weight: 300;
}

.expo-group-description{
    font-size: .85em;
    opacity: 0.8;
    margin-bottom: 2em;
}

.expo-group-description:empty{
	display: none;
}

.expo-group-grid{
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(230px, 1fr));
    gap: 2em;
}

.expo-group-grid-card{
	background-color: var(--color-gray-800);
	aspect-ratio: 2.5;
	display: flex;
	justify-content: center;
	align-items: center;
}

main.expo .card-grid {
    --gap-w: 1.5em;
    --gap-h: 2em;
    --col-w: 160px;

    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--col-w), 1fr));
    gap: var(--gap-h) var(--gap-w);
    width: 100%;
    font-size: .8em;
}

.expo-header{
    grid-row: span 2;
    margin-bottom: .5em;
}

.expo-taxonomy{
    margin-top: 1em;
}

.expo-taxonomy ul{
    display: flex;
    flex-direction: column;
    gap: .2em;
}

.expo-taxonomy li ul{
    display: none;
}

.expo-taxonomy li {
    font-size: .95rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.expo-taxonomy li a:hover{
    font-weight: 300;
}
.expo-taxonomy li span{
    opacity: .6;
    font-size: 0.95em;
}

.expo-taxonomy li.expanded > ul{
    display: flex;
}

.expo-taxonomy li .expand-tab,
.expo-taxonomy li .expand-blank{
    display: inline-block;
    width: 1em;
    height: 1em;
    background-color: transparent;
    border: 0;
    outline: 0;
    margin-right: .35em;
    position: relative;
}

.expo-taxonomy li .expand-tab:hover{
    cursor: pointer;
}

.expo-taxonomy li .expand-blank::before{
    content: "";
    width: 5px;
    height: 5px;
    background: var(--color-gray-500);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

.expo-taxonomy li .expand-tab::before,
.expo-taxonomy li .expand-tab::after{
    content: "";
    width: 5px;
    height: 5px;
    background: var(--color-white);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

.expo-taxonomy li .expand-tab::before{ width: 10px; height: 1px; }
.expo-taxonomy li .expand-tab::after{ width: 1px; height: 10px; }
.expo-taxonomy li.expanded > .expand-tab::after{ display: none; }

.expo-taxonomy ul ul{
    margin: .2em 0 .2em 1.5em;
}

.expo-taxonomy-type{
    font-size: .6em;
    opacity: .5;
}

.expo-taxonomy li:has(ul:empty) .expand-tab{
    pointer-events: none !important;
    cursor: default;
}
.expo-taxonomy li:has(ul:empty) .expand-tab::before{
    display: none;
}
.expo-taxonomy li:has(ul:empty) .expand-tab::after{
    background: var(--color-gray-500);
    width: 5px;
    height: 5px;
}


/* ---- */

.expo-relations {
    margin-block: 4em;
}

.expo-relations > div > header {
    display: flex !important;
    gap: 2em;
    justify-content: space-between;
    padding-bottom: 1em;
}

.btn .total::before {
    content: '';
    margin-inline: 0;
}

/* ---- */

.property-row .card-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(130px, 1fr));
    grid-gap: 1.5em;
    font-size: .8em;
    margin-block: .75em;
}

.property-row .card-grid .card_description,
.property-row .card-grid .card_footer{
    display: none;
}
.property-row .property-label-total{
    font-weight: 300;
    color: var(--color-gray-400);
    margin-inline: .5em;
}
.property-row select.property-label-order{
    background-color: transparent;
    border: 1px solid var(--color-gray-200);
    color: var(--color-gray-200);
    border-radius: 1em;
    font-size: 0.9em;
}
.property-row select.property-label-order option{
    color: var(--color-gray-800);
}

    .narrow-full{ /* col2--2 */
        grid-column: 2 / -2;
    }
    .narrow-side{ /* col2-5 */
        grid-column: 2 / 5;
    }
    .narrow-body{ /* col5--4 */
        grid-column: 5 / -4;
    }
    .narrow-body-extend{ /* col5--4 */
        grid-column: 5 / -2;
    }
    
    @media( width < 1360px){
        .narrow-body{
            grid-column: 5 / -3;
        }
    }

    @media( width < 1024px){
        .narrow-body{
            grid-column: 5 / -2;
        }
    } 

    @media( width < 800px){
        .narrow-full{
            grid-column: 1 / -1;
        }
        .narrow-side{
            grid-column: 1 / -1;
        }
        .narrow-body{
            grid-column: 1 / -1;
        }
        .narrow-body-extend{
            grid-column: 1 / -1;
        }
    }



        .modal-item .card_more{
            display: flex;
            gap: .75em;
            align-items: center;
            color: var(--color-theme);
            line-height: 1.25rem;
            transition: all .2s ease;
            margin: .5em 1.5em 1.25em auto;
        }
        .modal-item .card_more::after{
            content: '+';
            font-weight: 900;
            font-size: 2.8em;
        }
        .modal-item .card_more span{
            pointer-events: none;
            transition: .3s;
            text-transform: uppercase;
            font-size: .8em;
            font-weight: 300;
            color: var(--color-white);
        }

        .modal-item .card_more:hover span{
            color: var(--color-theme);
        }

        @media ( width < 800px) {
            .modal-item .card_more span{
                opacity: 1;
            }
        }